Page MenuHomePhabricator

Setup configuration for Growth team experiments on Arabic Wikipedia
Closed, ResolvedPublic

Description

Here is the to-do list for experiments configuration.

Translations

Understanding First Day

Configurations

  • Provide the title for the help desk (used as a wiki link, add prefix) = ويكيبيديا:فريق_المساعدة/طلبات
  • Provide the title for the homepage tutorial (used as a wiki link, add prefix) = ويكيبيديا:دروس

Help panel

Homepage

  • What is the wikilink to the tutorial about editing = [[ويكيبيديا:دروس]]
  • What is the wikilink to the list of newcomers = [[مساعدة:قائمة المساعدة/القادمون الجدد]]

Mentors

  • Create if necessary and provide the homepage mentors list title (format is ([[User:Name]], see T218237) =

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptJun 13 2019, 5:33 PM
Restricted Application added subscribers: alanajjar, Aklapper. · View Herald Transcript
Trizek-WMF updated the task description. (Show Details)Jun 13 2019, 5:34 PM
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF added a subscriber: MMiller_WMF.
Dyolf77_WMF added a subscriber: Dyolf77.
Dyolf77_WMF updated the task description. (Show Details)Jun 17 2019, 2:25 PM
Dyolf77_WMF updated the task description. (Show Details)Jun 19 2019, 7:55 PM
Dyolf77_WMF updated the task description. (Show Details)Jun 19 2019, 8:23 PM
Dyolf77_WMF removed a subscriber: Dyolf77.

@Trizek-WMF -- do you know why the privacy policy on Meta says "100% complete" at the top, but there are still lots of messages on Translatewiki?

@Trizek-WMF -- do you know why the privacy policy on Meta says "100% complete" at the top, but there are still lots of messages on Translatewiki?

I thought, I've finished all the translations but when checked the link, I found these messages undone.

Dyolf77_WMF updated the task description. (Show Details)Jun 19 2019, 10:30 PM
Dyolf77_WMF updated the task description. (Show Details)Jun 22 2019, 12:49 PM
Dyolf77_WMF updated the task description. (Show Details)Jun 22 2019, 1:05 PM
Trizek-WMF updated the task description. (Show Details)Jun 27 2019, 3:19 PM
Dyolf77_WMF updated the task description. (Show Details)Jun 27 2019, 3:32 PM
Dyolf77_WMF updated the task description. (Show Details)Jun 27 2019, 3:43 PM
Dyolf77_WMF updated the task description. (Show Details)Jun 27 2019, 3:45 PM
Trizek-WMF updated the task description. (Show Details)Jun 27 2019, 3:54 PM

Question about https://ar.wikipedia.org/wiki/مساعدة:مقدمة_عن_الوصلات/1. What is the purpose of that /1/?

Also, concerning the help panel, we need to have the labels that would be displayed to users.

Thanks!

It seems that the مساعدة:مقدمة_عن_الوصلات page contains a redirect to مساعدة:مقدمة_عن_الوصلات/1

Also, concerning the help panel, we need to have the labels that would be displayed to users.

See the description

Thanks!

Thanks

Dyolf77_WMF updated the task description. (Show Details)Jun 27 2019, 4:14 PM
Dyolf77_WMF updated the task description. (Show Details)
Trizek-WMF updated the task description. (Show Details)Jun 28 2019, 9:47 AM

I've clarified the question concerning the Configurations section.

Everything is ready now, right?

Some feedback for the Help panel:

  • While testing the help panel on beta, I see
    . Is it possible to move the question mark to the end of the sentence (to the left)?
  • The translation I made for the interface was out of its context, now in the help panel I understand some ambiguous words, so I did a review of the translation on translatewiki.net. Is it possible to update the tool with the new translations?

Thanks.

Dyolf77_WMF updated the task description. (Show Details)Jun 28 2019, 1:02 PM

Some feedback for the Help panel:

  • While testing the help panel on beta, I see
    . Is it possible to move the question mark to the end of the sentence (to the left)?

Note: The question mark is at the start of a sentence in English version of the Help pane too.

  • The translation I made for the interface was out of its context, now in the help panel I understand some ambiguous words, so I did a review of the translation on translatewiki.net. Is it possible to update the tool with the new translations?

This happens automatically every day. Wait a day or two, translations should be in beta by then.

Thanks.

Dyolf77_WMF updated the task description. (Show Details)Jun 28 2019, 1:05 PM
Dyolf77_WMF updated the task description. (Show Details)Jun 28 2019, 1:12 PM

Some feedback for the Help panel:

  • While testing the help panel on beta, I see
    . Is it possible to move the question mark to the end of the sentence (to the left)?

Note: The question mark is at the start of a sentence in English version of the Help pane too.

The position seems to be correct compared to English.

But the icon it should be flipped in Arabic. :)

T226829: On the help panel CTA button, the icon should be flipped for RTL languages.

Can we activate the Flow on the help desk in beta?

Can we activate the Flow on the help desk in beta?

Please create a ticket! :)

Can we activate the Flow on the help desk in beta?

Done :).

Can we activate the Flow on the help desk in beta?

Please create a ticket! :)

Seems to be done.

Yes, I've converted the page. However, help pane is broken now there, since it isn't adapted for Flow yet, see T212433.

Yes, I've converted the page. However, help pane is broken now there, since it isn't adapted for Flow yet, see T212433.

Yes, I had this error

Change 519751 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[mediawiki/extensions/GrowthExperiments@master] Add Arabic special page aliases

https://gerrit.wikimedia.org/r/519751

@Dyolf77_WMF Can you please verify that https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/+/519751/1/GrowthExperiments.alias.php can be used as localized special page names in Arabic?

The names are Okay. (but what about the missing "[" and "]"? ).

Fixed, thanks.

Change 519751 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Arabic special page aliases

https://gerrit.wikimedia.org/r/519751

@Urbanecm -- @Dyolf77_WMF is having this error when posting to the Flow help desk in beta:

@Urbanecm -- @Dyolf77_WMF is having this error when posting to the Flow help desk in beta:

That's probably because T212433 is not closed yet. In case converting to Flow was pre-mature, let me know, I can simply move it away, so we can continue with non-flow helpdesk until T212433 is closed. But it might be useful to have a betawiki with Flow (just as prod arwiki has), to ensure it works as it should there as well. Anyway, if there is anything I can do to help you with this, let me know!

I've checked the completion of the task, and apparently there is nothing missing. But I may have missed something.
@Dyolf77_WMF, if everything is ready, please change the status of the task to "resolved", thanks!

Dyolf77_WMF closed this task as Resolved.Jul 9 2019, 2:26 PM

The help links also need IDs (short names in English, one or two words). Based on Google Translate I chose the following IDs:

contents, since this is the main help portal/contents page

newarticle, since it's about how to create a new article

correcting, since it's about how to correct errors in an article

links, since the title translates to something like "intro to links"

discussion, since it appears to be about how to use talk pages

Note that the first link (contents) is the same as the link to the main help page, and so this page will be linked to twice from the help panel (once from the first link in the bullet list, once from the link right below the bullet list). Is that desired/expected?

Yes, the IDs sound good for me. Thanks.

Note that the first link (contents) is the same as the link to the main help page, and so this page will be linked to twice from the help panel (once from the first link in the bullet list, once from the link right below the bullet list). Is that desired/expected?

Yes it's expected.

Dyolf77_WMF updated the task description. (Show Details)Jul 23 2019, 8:24 PM

Please can any one correct a typo on the label (ID: ''newarticle'') from: انشاء مقالة جديدة to the correct one: إنشاء مقالة جديدة

Thanks.

@Dyolf77_WMF -- I know it's annoying to do, but could you please create a separate task for that correction so that we can track it? Please tag me in the task.

@m

@Dyolf77_WMF -- I know it's annoying to do, but could you please create a separate task for that correction so that we can track it? Please tag me in the task.

Done.